$gl-search-box-by-type-input-padding: 3.5 * $grid-size;

@mixin gl-search-box-by-type-icon {
  @include gl-m-3;
}

.gl-search-box-by-type-loading-icon,
.gl-search-box-by-type-search-icon {
  @include gl-search-box-by-type-icon;
  @include gl-text-gray-500;
  @include gl-w-5;
}

.gl-search-box-by-type-search-icon {
  @include gl-absolute;
}

.gl-search-box-by-type {
  @include gl-display-flex;
  @include gl-relative;
}

.gl-search-box-by-type-clear {
  @include gl-search-box-by-type-icon;
  @include gl-border-none;
  @include gl-bg-transparent;
  @include gl-p-0;
  @include gl-text-gray-500;
  @include gl-cursor-pointer;

  &:focus {
    @include gl-outline-none;
  }
}

.gl-search-box-by-type-input,
.gl-search-box-by-type-input.gl-form-input {
  @include gl-h-7;
  @include gl-pr-7;
  padding-left: $gl-search-box-by-type-input-padding;
}

.gl-search-box-by-type-right-icons {
  @include gl-display-flex;
  @include gl-line-height-0;
  @include gl-right-0;
  @include gl-absolute;
}
